apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: caddy-0.0.0-28eec172
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: caddy
      name: caddy
      podspec:
        containers:
          - name: caddy
      provides:
        - exposed: true
          name: caddy
          network: loadbalanced
          servicespec:
            ports:
              - name: http
                port: 80
                protocol: TCP
              - name: https
                port: 443
                protocol: TCP
              - name: quic
                port: 443
                protocol: UDP
      sizing:
        increment: 1
        initial: 2
        maximum: 4
        minimum: 1
  dependencies:
    operator:
      name: caddy-operator
      vendor: asag
      version: 1.1.0
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.8.0
  name: caddy
  settings:
    - name: environment
      schema:
        default: caddy_prod
  version: 0.0.0-28eec172
